%define name    buoh
%define version 0.8
%define release 1.2006mcnl
%define summary Online comics reader
%define section Multimedia/Graphics

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:		http://buoh.steve-o.org/
License:        GPL
Group:          Graphics
Packager:       Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 



%description
Buoh is a reader for online strips comics. It is free software, designed 
to work well under the GNOME Desktop.

Buoh has a number of features, including:

    * Select your favorites comic through a list of more than 130 comics
    * Easy, simple an eye-candy view of an online comic
    * Browsing over the comic strip archives
    * Saving a comic to disk
    * Integration with GNOME (respecting the lockdowns and HIG compliance)


%prep
rm -rf %{buildroot}
%setup

%build
 
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="Buoh" \
longtitle="%summary"
EOF

#icons

%define  nameicon data/buoh64x64.png

mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root) 
%doc README COPYING AUTHORS NEWS TODO
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_bindir}/%{name}
/etc/gconf/schemas/%{name}.schemas
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*



%changelog 

* Wed Nov 09 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 0.8-1.2006mcnl
- first release


